## 系统模块

~~~
com.couplet     
├── couplet-ui              // 前端框架 [80]
├── couplet-gateway         // 网关模块 [8080]
├── couplet-auth            // 认证中心 [9200]
├── couplet-common          // 通用模块
│       └── couplet-common-core                         // 核心模块
│       └── couplet-common-datascope                    // 权限范围
│       └── couplet-common-datasource                   // 多数据源
│       └── couplet-common-log                          // 日志记录
│       └── couplet-common-redis                        // 缓存服务
│       └── couplet-common-seata                        // 分布式事务
│       └── couplet-common-security                     // 安全模块
│       └── couplet-common-swagger                      // 系统接口
│       └── couplet-common-system                       // 系统基础
├── couplet-modules         // 业务模块
│       └── couplet-system                              // 系统模块 [9201]
│       └── couplet-gen                                 // 代码生成 [9202]
│       └── couplet-job                                 // 定时任务 [9203]
│       └── couplet-file                                // 文件服务 [9300]
├── couplet-visual          // 图形化管理模块
│       └── couplet-visual-monitor                      // 监控中心 [9100]
├──pom.xml                // 公共依赖
~~~
