package com.couplet.common.domain;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;
import org.springframework.format.annotation.DateTimeFormat;

import java.util.Date;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/4/2 15:14
 * @description
 */
@Data
@Builder
@AllArgsConstructor
@NoArgsConstructor
public class CoupletTroubleFault {
    /**
     * 故障记录Id
     */
    private Integer troubleFaultId;

    /**
     * 故障码
     */
    private String troubleFaultCode;

    /**
     * 故障码类型
     */
    private String troubleFaultType;

    /**
     * 故障标签
     */
    private String troubleFaultTag;

    /**
     * 故障位
     */
    private String troubleFaultPosition;

    /**
     * 故障值
     */
    private String troubleFaultValue;
}
