package com.couplet.common.domain;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/31
 * @Description: 车辆类型
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@TableName("couplet_vehicle_type")
public class VehicleType {

    /*
     * 车辆类型id
     * */
    @TableId(type = IdType.AUTO, value = "vehicle_type_id")
    private Long vehicleTypeId;

    /*
     * 车辆类型名称
     * */
    @TableField(value = "vehicle_type_name")
    private String vehicleTypeName;
}
