package com.couplet.common.domain.request;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/26
 * @Description: 查询车辆列表入参
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class VehicleListParams {
    /*
     *车辆类型
     * */
    private Integer vehicleType;

    /*
     *0离线 1在线
     * */
    private Integer vehicleState;

    /*
     * 分页参数
     * */
    private Integer pageNum = 1;
    private Integer pageSize = 5;

}
