package com.couplet.common.core.exception.vehicle;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/29
 * @Description: 车辆异常响应
 */

public class VehicleException extends RuntimeException {
    private int code;
    private String message;

    public VehicleException(int code, String message) {
        this.code = code;
        this.message = message;
    }

    public VehicleException(String message) {
        super(message);
    }

    public VehicleException() {

    }
}
