package com.couplet.gateway.service;

import com.couplet.common.core.exception.CaptchaException;
import com.couplet.common.core.domain.Result;

import java.io.IOException;

/**
 * 验证码处理
 *
 * @author couplet
 */
public interface ValidateCodeService {
    /**
     * 生成验证码
     */
    public Result createCaptcha () throws IOException, CaptchaException;

    /**
     * 校验验证码
     */
    public void checkCaptcha (String key, String value) throws CaptchaException;
}
