package com.couplet.msg;

import java.util.Random;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/4/4 11:34
 * @description
 */
public class Randoms {
    public static void main(String[] args) {
        String gtaNumber = generateGTA();
        System.out.println("随机生成的GTA开头的七位数字：" + gtaNumber);
    }

    public static String generateGTA() {
        // 生成四位以"GTA"开头的字符串
        String prefix = "GTA";
        // 生成三位随机数字
        String randomNumber = generateRandomNumber(4);
        // 拼接字符串
        return prefix + randomNumber;
    }

    public static String generateRandomNumber(int length) {
        // 生成随机数
        Random random = new Random();
        StringBuilder sb = new StringBuilder();
        for (int i = 0; i < length; i++) {
            // 生成0到9之间的随机数字，并转换为字符串
            sb.append(random.nextInt(10));
        }
        return sb.toString();
    }
}
