package com.couplet.business.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.couplet.common.domain.Vehicle;
import com.couplet.common.domain.VehicleMiddle;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/26
 * @Description: 车辆Mapper
 */
@Mapper
@Component
public interface VehicleMapper extends BaseMapper<Vehicle> {
    List<Vehicle> UserUnderTheVehicleList(Long userId);

    Integer deleteVehicle(Long middleId);

    Integer addVehicle(VehicleMiddle vehicleMiddle);

    List<Vehicle> vehicleAll();

    Integer onOrOutLineByVIN(@Param("vin") String vin, @Param("status") int status);
}
