package com.couplet.business.server.service;

import com.couplet.common.core.domain.Result;
import com.couplet.common.core.web.page.TableDataInfo;
import com.couplet.common.system.domain.SysUser;

import java.util.List;

public interface EmployeeService {
    TableDataInfo<SysUser> employeeList(SysUser user);

    Result insert(SysUser user);

    Result deit(SysUser user);

    Result remove(Long[] userIds);

    Result changeStatus(SysUser user);

    List<SysUser> userList(SysUser user);

}
