package com.couplet.business.server.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.couplet.common.core.domain.PageResult;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.common.domain.CoupletTroubleGrade;
import com.couplet.common.domain.request.TroubleResp;

import java.util.List;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/26 22:38
 * @description
 */
public interface SysTroubleService extends IService<CoupletTroubleCode> {
    PageResult<CoupletTroubleCode> selectTroubleList(TroubleResp troubleReq);

    List<CoupletTroubleGrade> selectTroubleListByGrade();

    /**
     * 新增故障数据
     * @param code
     */
    void newFaultData(CoupletTroubleCode code);

    void cleanTroubleCode();
}
