package com.couplet.business.server.service.impl;

import com.couplet.business.server.mapper.VehicleDetectionMapper;
import com.couplet.business.server.service.VehicleDetectionService;
import com.couplet.business.server.service.VehicleManageService;
import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.Vehicle;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author fufanrui
 * @version 1.0
 * @description: 车辆检测服务实现类
 * @date 2024/4/4 10:23
 */
@Service
public class VehicleDetectionServiceImpl implements VehicleDetectionService{

    @Autowired
    private VehicleDetectionMapper vehicleDetectionMapper;

    @Override
    public List<Vehicle> detectionList() {
        return vehicleDetectionMapper.detectionList();
    }

}
