package com.couplet.mq;

import com.couplet.common.security.annotation.EnableCustomConfig;
import com.couplet.common.security.annotation.EnableMyFeignClients;
import com.couplet.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;

/**
 * @ProjectName: Default (Template) Project
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/28
 * @Description: rabbitMq模块启动类
 */
@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
public class CoupletMqApplatcaion {
    public static void main(String[] args) {
        SpringApplication.run(CoupletMqApplatcaion.class, args);
        System.out.println("获取报文、RabbitMQ模块启动成功");
    }
}
