package com.couplet.mq.remote;

import com.couplet.common.core.constant.ServiceNameConstants;
import com.couplet.common.domain.request.FenceUpdateRequest;
import com.couplet.mq.remote.factory.RemoteFenceFallbackFactory;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

@FeignClient(contextId = "remoteVehicleService" ,
        value = ServiceNameConstants.BUSINESS_SERVICE,
        fallbackFactory = RemoteFenceFallbackFactory.class
)
public interface RemoteFenceService {

    @PostMapping("/mq/fenceQueue")
    public void fenceQueue(@RequestBody FenceUpdateRequest fenceUpdateRequest);

}
