package com.couplet.common.domain.request;

import com.couplet.common.domain.CoupletTroubleCode;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/30 19:22
 * @description
 */
@Data
@AllArgsConstructor
@NoArgsConstructor
@EqualsAndHashCode(callSuper = true)
public class TroubleResp extends CoupletTroubleCode implements Serializable {
    private Integer pageNum=1;
    private Integer pageSize=5;
    private String troubleCode;
    private String troublePosition;
}
