package com.couplet.analyze.msg;

import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.cloud.openfeign.EnableFeignClients;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/4/2 8:39
 * @description
 */
@SpringBootApplication(scanBasePackages = "com.couplet")
@EnableScheduling
@EnableFeignClients(basePackages = "com.couplet.**")
public class CoupletMsgApplication {
    public static void main(String[] args) {
        SpringApplication.run(CoupletMsgApplication.class);
    }
}
