package com.couplet.analyze.msg.contents;

import io.swagger.models.auth.In;
import org.springframework.stereotype.Component;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/4
 * @Description:
 */
@Component
public class StateConstant {

    /**
     * 车辆状态
     */
    public static  final Integer VEHICLE_STATUS = 1;

    /**
     * 充电状态
     */
    public static final Integer CHARGING_STATUS = 1;

    /**
     * 运行状态
     */
    public static final Integer OPERATING_STATUS = 1;

    /**
     *  soc状态
     */
    public static final Integer SOC_STATUS = 1;

    /**
     * 可充电储能装置工作状态
     */
    public static final Integer CHARGING_ENERGY_STORAGE_STATUS = 1;

    /**
     * 驱动电机状态
     */
    public static final  Integer DRIVE_MOTOR_STATUS = 1;

    /**
     * 定位是否有效
     */
     public static final Integer POSITION_STATUS = 1;

    /**
     * EAS(汽车防盗系统)状态
     */
    public static final Integer EAS_STATUS = 1;

    /**
     * PTC(电动加热器)状态
     */
    public static final Integer PTC_STATUS = 1;

    /**
     *  ABS(防抱死)状态
     */
    public static final Integer ABS_STATUS = 1;

    /**
     * MCU(电机/逆变器)状态
     */
    public static final Integer MCU_STATUS = 1;
    /**
     * 动力电池加热状态
     */
    public static final Integer HEATING_STATUS = 1;
    /**
     *  动力电池当前状态
     */
    public static final Integer BATTERY_STATUS = 1;
    /**
     * 动力电池保温状态
     */
    public static final Integer BATTERY_INSULATION_STATUS = 1;
    /**
     * DCDC(电力交换系统) 状态
     */
    public static final Integer DCDC_STATUS = 1;
    /**
     * CHG(充电机)状态
     */
    public static final Integer CHG_STATUS = 1;

}
