package com.couplet.analyze.msg.service;

import com.couplet.analyze.msg.contents.MsgContent;
import com.couplet.analyze.msg.domain.CoupletMsgData;
import com.couplet.common.domain.request.RealTimeDataRequest;

/**
 * @Author: LiJiaYao
 * @Date: 2024/4/2
 * @Description: 事件系统接口
 */
public interface IncidentService {

    /**
     * 事件分析
     *
     * @param coupletMsgData
     */
    void incident(CoupletMsgData coupletMsgData);

    /**
     * 获取事件名称
     * @return 事件名称
     */
    String getName();




}
