package com.couplet.business.server.controller;

import com.couplet.business.server.service.OnLineVehicleService;
import com.couplet.common.core.domain.Result;
import com.couplet.common.domain.Vehicle;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import java.util.List;

/**
 * @author fufanrui
 * @version 1.0
 * @description: 上线车辆列表
 * @date 2024/4/5 9:37
 */
@RestController
@RequestMapping("online")
public class OnLineVehicleController {

    @Autowired
    private OnLineVehicleService onLineVehicleService;

    @PostMapping("onlineList")
    public Result<List<Vehicle>> onlineList(){
        List<Vehicle> onlineList = onLineVehicleService.onlineList();
        Result<List<Vehicle>> success = Result.success(onlineList);
        return success;
    }





}
