package com.couplet.business.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.couplet.common.domain.CoupletTroubleCode;
import com.couplet.common.domain.CoupletTroubleGrade;

import com.couplet.common.domain.request.TroubleResp;
import org.apache.ibatis.annotations.Mapper;

import java.util.List;

/**
 * @author DongXiaoDong
 * @version 1.0
 * @date 2024/3/26 22:37
 * @description
 */
@Mapper
public interface SysTroubleMapper extends BaseMapper<CoupletTroubleCode> {
    List<CoupletTroubleCode> selectTroubleList(TroubleResp troubleReq);


    List<CoupletTroubleGrade> selectTroubleListByGrade();

    /**
     * 新增故障码数据
     * @param code
     */
    void newFaultData(CoupletTroubleCode code);

    void cleanTroubleCode();

    int insertMsgResq(CoupletTroubleCode coupletTroubleCode);



//    int addTrouble(TroubleAddReq troubleAddReq);

//    int updateTrouble(TroubleUpdReq troubleUpdReq);
}
