package com.couplet.business.server.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.couplet.common.domain.VehicleAndLogo;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * @ProjectName: five-groups-couplet
 * @Author: LiuYunHu
 * @CreateTime: 2024/3/26
 * @Description: 车辆与标志Mapper
 */
@Mapper
@Component
public interface VehicleAndLogoMapper extends BaseMapper<VehicleAndLogo> {
    int vehicleBindLogo(@Param("vehicleId") Long vehicleId, @Param("logoIds") List<Long> logoIds);

    int deleteByVehicleId(@Param("vehicleId") Long vehicleId);

    List<Long> getBindLogoById(@Param("vehicleId") Long vehicleId);
}
