package com.couplet.business.server.service.impl;

import com.couplet.business.server.mapper.OnLineVehicleMapper;
import com.couplet.business.server.service.OnLineVehicleService;
import com.couplet.common.domain.Vehicle;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @author fufanrui
 * @version 1.0
 * @description: 上线车辆实现类
 * @date 2024/4/5 9:38
 */
@Service
public class OnLineVehicleImpl implements OnLineVehicleService {
    @Autowired
    private OnLineVehicleMapper onLineVehicleMapper;
    @Override
    public List<Vehicle> onlineList() {
        return onLineVehicleMapper.onlineList();
    }
}
