package com.couplet.online;

import com.couplet.common.security.annotation.EnableCustomConfig;
import com.couplet.common.security.annotation.EnableMyFeignClients;
import com.couplet.common.swagger.annotation.EnableCustomSwagger2;
import org.springframework.boot.SpringApplication;
import org.springframework.boot.autoconfigure.SpringBootApplication;
import org.springframework.scheduling.annotation.EnableScheduling;

/**
 * @ProjectName: Default (Template) Project
 * @Author: LiuYunHu
 * @CreateTime: 2024/4/1
 * @Description: 车辆上线的模块启动类
 */

@EnableCustomConfig
@EnableCustomSwagger2
@EnableMyFeignClients
@SpringBootApplication
@EnableScheduling
//@EnableFeignClients
public class OnlineApplication {
    public static void main(String[] args) {
        SpringApplication.run(OnlineApplication.class);
        System.out.println("车辆上线模块启动成功");
    }
}
